> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hitpayapp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Export Charges

> Export charge records in bulk to CSV



## OpenAPI

````yaml get /v1/charges/export
openapi: 3.1.1
info:
  title: HitPay API
  description: >-
    Accept PayNow, FPX, QRIS, GrabPay, cards, and 40+ payment methods with a
    single API. Production base URL: https://api.hit-pay.com, Sandbox:
    https://api.sandbox.hit-pay.com
  version: '1.0'
servers:
  - url: https://api.hit-pay.com
    description: Production
  - url: https://api.sandbox.hit-pay.com
    description: Sandbox
security: []
paths:
  /v1/charges/export:
    get:
      summary: Export Charges
      description: Export charges
      operationId: export-charges
      parameters:
        - name: X-BUSINESS-API-KEY
          in: header
          required: true
          style: simple
          explode: false
          schema:
            type: string
            example: b286daabf9921b5a01a4621f026c111e046f8911feba212996c92159b98427d
        - name: perPage
          in: query
          schema:
            type: integer
            format: int32
            default: 25
        - name: version
          in: query
          description: The order version.
          schema:
            type: string
            default: '1.0'
        - name: keywords
          in: query
          description: 'Search for fields: amount ,created_at ,id remark, customer_name'
          schema:
            type: string
        - name: before
          in: query
          description: It's optional field and it's charge_id
          schema:
            type: string
        - name: after
          in: query
          description: It's optional field and it's charge_id
          schema:
            type: string
        - name: payment_method
          in: query
          description: 'The payment methods: card, alipay, paypal_card.. etc.'
          schema:
            type: string
        - name: statuses[]
          in: query
          description: >-
            The statuses are in "completed" , "pending", "sent", "draft",
            "expired"
          schema:
            type: string
        - name: dateFrom
          in: query
          description: The from of created order
          schema:
            type: string
        - name: dateTo
          in: query
          description: The To of created order
          schema:
            type: string
        - name: with
          in: query
          description: >-
            If you want to display more charge and products objects. Example:
            charges,products
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content: {}
      deprecated: false

````